{% set name = "ml4xcube" %}
{% set version = "0.0.6" %}

package:
  name: {{ name|lower }}
  version: {{ version }}

source:
  url: https://pypi.io/packages/source/{{ name[0] }}/{{ name }}/ml4xcube-{{ version }}.tar.gz
  sha256: 3f58ed6e4babf54cf935bc881348ceea99c8207c24e878d2e793bb8bb9221903

build:
  noarch: python
  script: {{ PYTHON }} -m pip install . -vv --no-deps --no-build-isolation
  number: 0

requirements:
  host:
    - python >=3.8
    - pip
  run:
    - python >=3.8
    - conda-forge::xcube
    - bokeh >=2.4.3
    - dask-core >=2023.2.0
    - dask >=2023.2.0
    - numpy >=1.24
    - pandas >=2.2
    - scikit-learn >1.3.1
    - xarray >2023.8.0
    - zarr >2.11
    - rechunker >=0.5.1
    - sentinelhub


test:
  imports:
    - ml4xcube
  commands:
    - pip check
  requires:
    - pip

about:
  home: https://pypi.org/project/ml4xcube/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: 'ML package for data cubes'
  description: 'ML package for data cubes'
  doc_url:  https://deepesdl.readthedocs.io/en/latest/ml-toolkit/introduction/
  dev_url:  https://github.com/deepesdl/ML-Toolkits/tree/master/mltools/ml4xcube

extra:
  recipe-maintainers:
    - Julia310